Opened 13 years ago

Closed 13 years ago

#11159 closed defect (fixed)

BUG: less should be linked against ncurses from MacPorts

Reported by: vinc17@… Owned by: macports-tickets@…
Priority: Normal Milestone:
Component: ports Version:
Keywords: Cc: vinc17@…
Port:

Description

A patch will be attached.

Attachments (2)

Portfile.2 (1.0 KB) - added by vinc17@… 13 years ago.
New Portfile: depend on ncursesw
Portfile (1.0 KB) - added by vinc17@… 13 years ago.
New Portfile: depend on ncursesw

Download all attachments as: .zip

Change History (5)

Changed 13 years ago by vinc17@…

Attachment: Portfile.2 added

New Portfile: depend on ncursesw

comment:1 Changed 13 years ago by vinc17@…

It's better to depend on ncursesw. And when both ncurses and ncursesw are installed, less will use ncursesw. So, doing otherwise could lead to dependency problems.

Changed 13 years ago by vinc17@…

Attachment: Portfile added

New Portfile: depend on ncursesw

comment:2 Changed 13 years ago by pipping@…

(here's a patch to illustrate what the above portfile changes)

--- Portfile.orig       2007-02-01 18:37:22.000000000 +0100
+++ Portfile    2006-12-18 19:01:16.000000000 +0100
@@ -1,8 +1,9 @@
-# $Id: Portfile 20478 2006-11-03 15:31:57Z blair@macports.org $
+# $Id: Portfile 15399 2006-12-18 18:03:05Z lefevre $
 
 PortSystem 1.0
 name           less
 version                394
+revision       1
 categories     textproc
 maintainers    mike.mclean@pobox.com
 description            Less is a program similar to more, which allows backward movement.
@@ -19,4 +20,5 @@
                gnu
 checksums      md5 a9f072ccefa0d315b325f3e9cdbd4b97
 destroot.destdir       prefix=${destroot}${prefix}
-
+depends_lib    port:ncursesw
+configure.env  CPPFLAGS="-I${prefix}/include" LDFLAGS="-L${prefix}/lib"

comment:3 Changed 13 years ago by pipping@…

Resolution: fixed
Status: newclosed

fixed in r21878.

Note: See TracTickets for help on using tickets.